{% set CodiceModulo = "DOM_ISCR_CO_MAR" %}
{% set Urn = "document:c_f765:colonia.marina.estivo;iscrizione;domanda" %}
{% set Urn_procedimento = "centro.estivo:iscrizione" %}
{% set allegati=[
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Pubblica istruzione"
trattamento_dati="PERSONALI_SENSIBILI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di iscrizione alla colonia marina 2024"
destinatario_amministrazione=""
destinatario_ufficio="UOPUBBLICAISTRUZIONE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="4.0|19/03/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
   {% if allegato['tipo'] == "allegato" %}
    <meta codice_allegato="{{ allegato['codice'] }}"
     urn_allegato="{{ allegato['urn'] }}"
     descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
     filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
     firmatari="{{ allegato['firmatari'] }}"
     firmatari_label="{{ allegato['firmatari_label'] }}"
     firmato="{{ allegato['firmato'] }}"
     name="GLOBO_allegato"
     numero="{{ allegato['numero'] }}"
     dimensione_massima="{{ allegato['dimensione'] }}"
     obbligatorio="DINAMICO"
     tipo_mime="{{ allegato['tipo_mime'] }}"/>
   {% elif allegato['tipo'] == "secondario" %} 
     <meta codice_modulo_figlio="{{ allegato['codice'] }}"
     urn_modulo_figlio="{{ allegato['urn'] }}"
     name="GLOBO_modulofiglio"
     numero="{{ allegato['numero'] }}"
     obbligatorio="DINAMICO"/>
   {% endif %}{% endfor %}

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %}Domanda di iscrizione alla colonia marina 2024{% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="3">
  {{ utils.firma() }}
</globo_fondo_pagina>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - centro estivo (iscrizione)' + (#Referente_DatiPersonaObbligatori.checked() ? ' (per il minore ' + #Referente_Cognome.value().toUpperCase() + ' ' + #Referente_Nome.value().toUpperCase() + ')' : '')"/>

{% block attivazione_temporale %}
{{ utils.attivazione_temporale_procedure("procedure%3As_italia%3Acentro.diurno.estivo%3Biscrizione") }}
{% endblock attivazione_temporale %}

{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}

<div class="container">
  <div class="title-1"> Domanda di iscrizione alla colonia marina 2024 </div>
</div>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto genitore, tutore o affidatario", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Minore"/>
<input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Referente", 
                              intestazione="del bambino", 
                              pointer_carica_dati="display:none", 
                              visibility_carica_dati="display:none", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="display:none", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="true")}}

<!--In caso di select per la scuola, inserire i valori delle option come i ruoli nell'anagrafica società
Es. options=["scuola 1", "scuola 2"] -->
{{utils_scolastici.iscrizione_scuola(intestazione="iscritto alla scuola", mandatory_enabled="true", options="")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<globo_salto_pagina></globo_salto_pagina>

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> l’iscrizione alla colonia marina 2024 per il seguente periodo </div>
</div>

<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_Turno" name="Tassonomia_Turno" label="Possibili turni" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Turno1" name="Tassonomia_Turno" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_Turno1"> 1° turno dal 1/7 - 12/7/2024 (escluso sabato e domenica) </label>
  </div>
  <div class="form-check indent-1">
    
    <input class="form-check-input" id="Tassonomia_Turno2" name="Tassonomia_Turno" type="radio" value="2">
    <label class="form-check-label text-justify" for="Tassonomia_Turno2"> 2° turno dal 15/7 - 26/7/2024 (escluso sabato e domenica) </label>
  </div>
</div>

<div class="container border bg-light">
  <div class="form-row" enabled="#Tassonomia_Turno1.checked()||#Tassonomia_Turno2.checked()">
    <div class="form-group col-lg-12">
      <label for="Parametri_Preferenza"> è possibile esprimere la preferenza (non vincolante) con motivazione sul turno scelto: </label>
      <textarea class="form-control" id="Parametri_Preferenza" name="Parametri_Preferenza" label="Descrizione"></textarea>
    </div>
  </div>
</div>

<div class="container">
  <div class="title-3"> DICHIARA </div>
</div>

<div class="container">
  <div class="paragraph text-justify"> che il bambino ha allergie </div>
</div>

<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_Allergie" name="Tassonomia_Allergie" label="Allergie" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Allergie1" name="Tassonomia_Allergie" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_Allergie1"> si </label>
  </div>
  <div class="form-row" mandatory_enabled="#Tassonomia_Allergie1.checked()">
    <div class="form-group col-lg-12">
      <label for="Parametri_Aleno"> Indicari quali allergie (divise da ;) </label>
      <input class="form-control" id="Parametri_Aleno" name="Parametri_Aleno" label="Indicari quali allergie">
    </div>
  </div>
  <div class="form-check indent-1">
    
    <input class="form-check-input" id="Tassonomia_Allergie2" name="Tassonomia_Allergie" type="radio" value="2">
    <label class="form-check-label text-justify" for="Tassonomia_Allergie2"> no </label>
  </div>
</div>

<div class="container">
  <div class="paragraph text-justify"> che il bambino ha intolleranze: </div>
</div>

<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_Intolleranze" name="Tassonomia_Intolleranze" label="Intolleranze" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Intolleranze1" name="Tassonomia_Intolleranze" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_Intolleranze1"> si </label>
  </div>
  <div class="form-row" mandatory_enabled="#Tassonomia_Intolleranze1.checked()">
    <div class="form-group col-lg-12">
      <label for="Parametri_Intolerare"> Indicare quali intolleranze (divise da un ;) </label>
      <input class="form-control" id="Parametri_Intolerare" name="Parametri_Intolerare" label="Indicare quali intolleranze (divise da un ;)">
    </div>
  </div>
  <div class="form-check indent-1">
    
    <input class="form-check-input" id="Tassonomia_Intolleranze2" name="Tassonomia_Intolleranze" type="radio" value="2">
    <label class="form-check-label text-justify" for="Tassonomia_Intolleranze2"> no </label>
  </div>
</div>


<div class="container">
  <div class="paragraph text-justify"> il minore è riconosciuto ai sensi della L. 104/92 art 3, c.3: </div>
</div>


<div class="container border bg-light">
  <div class="form-check indent-1">
    <div id="Tassonomia_Handicap" name="Tassonomia_Handicap" label="Handicap" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Handicap1" name="Tassonomia_Handicap" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_Handicap1"> si </label>
  </div>
  <div class="form-check indent-1">
    
    <input class="form-check-input" id="Tassonomia_Handicap2" name="Tassonomia_Handicap" type="radio" value="2">
    <label class="form-check-label text-justify" for="Tassonomia_Handicap2"> no </label>
  </div>
</div>



<div class="container">
  <div class="paragraph text-justify"> recapiti telefonici da contattare in caso di bisogno (fino ad un massimo di 3 persone): </div>
</div>


<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-3">
      <label for="Parametri_Nomignolo"> Nome </label>
      <input class="form-control" id="Parametri_Nomignolo" name="Parametri_Nomignolo" label="Nome">
    </div>
    <div class="form-group col-lg-3">
      <label for="Parametri_Cognominolo"> Cognome </label>
      <input class="form-control" id="Parametri_Cognominolo" name="Parametri_Cognominolo" label="Cognome">
    </div>
    <div class="form-group col-lg-3">
      <label for="Parametri_Telenovela"> Numero di telefono </label>
      <input class="form-control" id="Parametri_Telenovela" name="Parametri_Telenovela" label="Numero di telefono">
    </div>
    <div class="form-group col-lg-3">
      <label for="Referente_Note"> Grado di parentela </label>
       <select class="form-control custom-select" id="Referente_Note" name="Referente_Note" style="width: 100%; font-size:100%" label="Grado di parentela familiare" onceonly="true" >
        <option value=""></option>
        <option value="coniuge">coniuge</option>
        <option value="convivente">convivente</option>
        <option value="dichiarante">dichiarante</option>
        <option value="figlio/figlia">figlio/figlia</option>
        <option value="fratello/sorella">fratello/sorella</option>
        <option value="genitore">genitore</option>
        <option value="suocero/suocera">suocero/suocera</option>
        <option value="genero/nuora">genero/nuora</option>
        <option value="altro parente o affine">altro parente o affine</option>
       </select>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-3" enabled="#Parametri_Nomignolo.value()">
      <label for="Parametri_Nomignolo2"> </label>
      <input class="form-control" id="Parametri_Nomignolo2" name="Parametri_Nomignolo2" label="Nome">
    </div>
    <div class="form-group col-lg-3" mandatory_enabled="#Parametri_Nomignolo2.value()">
      <label for="Parametri_Cognominolo2"> </label>
      <input class="form-control" id="Parametri_Cognominolo2" name="Parametri_Cognominolo2" label="Cognome">
    </div>
    <div class="form-group col-lg-3" mandatory_enabled="#Parametri_Nomignolo2.value()">
      <label for="Parametri_Telenovela2"> </label>
      <input class="form-control" id="Parametri_Telenovela2" name="Parametri_Telenovela2" label="Numero di telefono">
    </div>
    <div class="form-group col-lg-3" mandatory_enabled="#Parametri_Nomignolo2.value()">
      <label for="Referente_Note2"> </label>
       <select class="form-control custom-select" id="Referente_Note2" name="Referente_Note2" style="width: 100%; font-size:100%" label="Grado di parentela familiare" onceonly="true" >
        <option value=""></option>
        <option value="coniuge">coniuge</option>
        <option value="convivente">convivente</option>
        <option value="dichiarante">dichiarante</option>
        <option value="figlio/figlia">figlio/figlia</option>
        <option value="fratello/sorella">fratello/sorella</option>
        <option value="genitore">genitore</option>
        <option value="suocero/suocera">suocero/suocera</option>
        <option value="genero/nuora">genero/nuora</option>
        <option value="altro parente o affine">altro parente o affine</option>
       </select>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-3" enabled="#Parametri_Nomignolo2.value()">
      <label for="Parametri_Nomignolo3"> </label>
      <input class="form-control" id="Parametri_Nomignolo3" name="Parametri_Nomignolo3" label="Nome">
    </div>
    <div class="form-group col-lg-3" mandatory_enabled="#Parametri_Nomignolo3.value()">
      <label for="Parametri_Cognominolo3"> </label>
      <input class="form-control" id="Parametri_Cognominolo3" name="Parametri_Cognominolo3" label="Cognome">
    </div>
    <div class="form-group col-lg-3" mandatory_enabled="#Parametri_Nomignolo3.value()">
      <label for="Parametri_Telenovela3"> </label>
      <input class="form-control" id="Parametri_Telenovela3" name="Parametri_Telenovela3" label="Numero di telefono">
    </div>
    <div class="form-group col-lg-3" mandatory_enabled="#Parametri_Nomignolo3.value()">
      <label for="Referente_Note3"> </label>
       <select class="form-control custom-select" id="Referente_Note3" name="Referente_Note3" style="width: 100%; font-size:100%" label="Grado di parentela familiare" onceonly="true" >
        <option value=""></option>
        <option value="coniuge">coniuge</option>
        <option value="convivente">convivente</option>
        <option value="dichiarante">dichiarante</option>
        <option value="figlio/figlia">figlio/figlia</option>
        <option value="fratello/sorella">fratello/sorella</option>
        <option value="genitore">genitore</option>
        <option value="suocero/suocera">suocero/suocera</option>
        <option value="genero/nuora">genero/nuora</option>
        <option value="altro parente o affine">altro parente o affine</option>
       </select>
    </div>
  </div>
</div>





<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}
<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}><label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

{{ utils.firma_hidden() }}

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
